day = { "Morndas", "Tirdas", "Middas", "Turdas", "Fredas", "Loredas", "Sundas" }
month = { "Primetoile", "Clairciel", "Semailles", "Ondepluie", "Plantaisons", "Mi-l'An", "Hautzenith", "Vifazur", "Atrefeu", "Soufflegivre", "Sombreciel", "Soiretoile" }
month_dc = { 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31}
moon = { "Masser", "Secunda", "Masser", "Masser", "Secunda", "Masser", "Masser", "Masser", "Secunda", "Secunda", "Masser", "Secunda"}
constellation = { "du Rituel", "de l'Amant", "du Seigneur", "du Mage", "de l'Ombre", "du Destrier", "de l'Apprenti", "du Guerrier", " de la Dame", "de la Tour", "de l'Atronach", "du Voleur" }
daedric_days = { }
holidays = {}

first_inweek_day = 5
first_day = 4
first_month = 4
first_year = 2014
current_date = 0
current_year = 0
current_month = 0
current_day = 0
ig_year = 0

date_computed = false

function ESOCalendar_Init()
	
	-- init daedric days array
	daedric_days[0101] = "Vil Clavicus"
	daedric_days[1301] = "Meridia"
	daedric_days[0202] = "Sheogorath"
	daedric_days[1602] = "Sanguine"
	daedric_days[0503] = "Hermaeus Mora"
	daedric_days[2103] = "Azura"
	daedric_days[0904] = "Peryite"
	daedric_days[0905] = "Namira"
	daedric_days[0506] = "Hircine"
	daedric_days[1007] = "Vaernima"
	daedric_days[0809] = "Nocturne"
	daedric_days[0810] = "Malacath"
	daedric_days[1310] = "Mephala"
	daedric_days[0211] = "Boethia"
	daedric_days[2011] = "Mehrunes Dagon"
	daedric_days[2012] = "Molag Bal"
	
	-- init holidays array
	holidays[0101] = "Festival de la Nouvelle Vie"
	holidays[0201] = "Jour du Nettoyage"
	holidays[1201] = "Ovank'a"
	holidays[1501] = "Priere des Vents du Sud"
	holidays[1601] = "Jour des Lumieres"
	holidays[1801] = "Jour du Reveil"
	holidays[0802] = "Jour de Sortie"
	holidays[1602] = "Jour des Coeurs"
	holidays[2802] = "Aduros Nau"
	holidays[0703] = "Premiere Semaille"
	holidays[0903] = "Jour de l'Attente"
	holidays[2103] = "Hogithum"
	holidays[2503] = "Jour de la Fleur"
	holidays[2603] = "Festival des Armes"
	holidays[0104] = "Fete des jardins"
	holidays[2004] = "Jour de la Honte"
	holidays[2804] = "Fete des Bouffons"
	holidays[0705] = "Seconde Semaille"
	holidays[0905] = "Jour de Marukh"
	holidays[2005] = "Festival du Feu"
	holidays[3005] = "Jour de Peche"
	holidays[0106] = "Drigh R'Zimb"
	holidays[1606] = "Fete du Mi-l'An"
	holidays[2306] = "Jour de Danse"
	holidays[1007] = "Festival des Marchands"
	holidays[1207] = "Divad Etep't"
	holidays[2007] = "Repos du Soleil"
	holidays[2907] = "Nuit ardente"
	holidays[0208] = "Maiden Katrika"
	holidays[1108] = "Koomu Alazer'i"
	holidays[1408] = "Fete du Tigre"
	holidays[2108] = "Jour d'Appreciation"
	holidays[2708] = "Fin de Recolte"
	holidays[0609] = "Khurat"
	holidays[0809] = "Legendes et Chandelles"
	holidays[1209] = "Riglametha"
	holidays[1909] = "Jour des Enfants"
	holidays[0510] = "Dirij Tereur"
	holidays[1310] = "Festival des Sorcieres"
	holidays[3010] = "Fete de l'Empereur"
	holidays[0311] = "Danse du Serpent"
	holidays[0811] = "Festival de la Lune"
	holidays[1811] = "Hel Anseilak"
	holidays[2011] = "Festival des Guerriers"
	holidays[1512] = "Priere des Vents du Nord"
	holidays[1812] = "Baranth Do"
	holidays[2012] = "Chil'a"
	holidays[2512] = "Saturalia"
	holidays[3012] = "Festival de l'Ancienne Vie"
	
end

function ESOCalendar_UpdateDate()
	if (date_computed == false) then
		current_date = GetDate()
		current_year = math.floor(current_date / 10000)
		current_month = math.floor((current_date % 10000) / 100)
		current_day = math.floor(current_date % 100)
		-- Count the bissextile years
		day_count = -first_day+1
		month_i = first_month
		year_i = first_year
		while year_i ~= current_year do
			day_count = day_count + month_dc[month_i]
			if(month_i == 2 and ((year_i%4==0 and year_i%100~=0) or (year_i%400==0))) then 
				day_count = day_count + 1
			end
			month_i = (month_i+1)%13;
			if(month_i == 0) then
				month_i = 1
				year_i = year_i + 1
			end
		end
		while month_i ~= current_month do 
			day_count = day_count + month_dc[month_i]
			if(month_i == 2 and ((year_i%4==0 and year_i%100~=0) or (year_i%400==0))) then 
				day_count = day_count + 1
			end
			month_i = month_i + 1
		end
		day_count = day_count + 1 
		current_inweek_day = ((day_count%7)+first_inweek_day) % 7
		if(current_inweek_day == 0) then
			current_inweek_day = 1
		end
		ig_year = (current_year - 2014) + 582
		date_computed = true
	end
end

function ESOCalendar_GetRace()

	return GetUnitZone("player")
	
end